Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 83812 - visor module will not load
Summary: visor module will not load
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-09 07:26 UTC by Stephen Rasku
Modified: 2012-08-29 13:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-11 04:48:08 UTC


Attachments (Terms of Use)

Description Stephen Rasku 2003-02-09 07:26:56 UTC
Description of problem:

Doing "insmod visor" gives the following output:

Using /lib/modules/2.4.18-3/kernel/drivers/usb/serial/visor.o
/lib/modules/2.4.18-3/kernel/drivers/usb/serial/visor.o: unresolved symbol
usb_serial_register_Rf4ad73ee
/lib/modules/2.4.18-3/kernel/drivers/usb/serial/visor.o: unresolved symbol
usb_serial_deregister_R61074468

Version-Release number of selected component (if applicable):

kernel-2.4.18-3

How reproducible:

All the time.

Steps to Reproduce:
1. insmod visor
    
Actual results:

See above.

Expected results:

Module should load.

Additional info:

I am doing this to try and sync my Palm m500 over a USB link.  I am using the
Rawhide packages:

pilot-link-0.11.5-4
jpilot-0.99.2-11

Comment 1 Arjan van de Ven 2003-02-09 10:29:45 UTC
please use modprobe and not insmod. insmod doesn't take dependencies on other
modules into account, modprobe will and will auto-load the modules that
implement usb_serial_deregister_R61074468 for you.

Comment 2 Stephen Rasku 2003-02-11 04:48:08 UTC
modprobe works.


Note You need to log in before you can comment on or make changes to this bug.